Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network31.243.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
31.243.0.0
Broadcast address
31.243.63.255
First usable
31.243.0.1
Last usable
31.243.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 1FF30000 · Integer 536018944 to 536035327
Reverse DNS zones
0.243.31.in-addr.arpa
1.243.31.in-addr.arpa
2.243.31.in-addr.arpa
3.243.31.in-addr.arpa
4.243.31.in-addr.arpa
5.243.31.in-addr.arpa
6.243.31.in-addr.arpa
7.243.31.in-addr.arpa
8.243.31.in-addr.arpa
9.243.31.in-addr.arpa
10.243.31.in-addr.arpa
11.243.31.in-addr.arpa
12.243.31.in-addr.arpa
13.243.31.in-addr.arpa
14.243.31.in-addr.arpa
15.243.31.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011111.11110011.00000000.0000000031.243.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network00011111.11110011.00000000.0000000031.243.0.0
Broadcast00011111.11110011.00111111.1111111131.243.63.255
Split into smaller subnets/25

31.243.0.0/18 makes 128 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
131.243.0.0/2531.243.0.1 to 31.243.0.12631.243.0.127126
231.243.0.128/2531.243.0.129 to 31.243.0.25431.243.0.255126
331.243.1.0/2531.243.1.1 to 31.243.1.12631.243.1.127126
431.243.1.128/2531.243.1.129 to 31.243.1.25431.243.1.255126
531.243.2.0/2531.243.2.1 to 31.243.2.12631.243.2.127126
631.243.2.128/2531.243.2.129 to 31.243.2.25431.243.2.255126
731.243.3.0/2531.243.3.1 to 31.243.3.12631.243.3.127126
831.243.3.128/2531.243.3.129 to 31.243.3.25431.243.3.255126
931.243.4.0/2531.243.4.1 to 31.243.4.12631.243.4.127126
1031.243.4.128/2531.243.4.129 to 31.243.4.25431.243.4.255126
1131.243.5.0/2531.243.5.1 to 31.243.5.12631.243.5.127126
1231.243.5.128/2531.243.5.129 to 31.243.5.25431.243.5.255126
1331.243.6.0/2531.243.6.1 to 31.243.6.12631.243.6.127126
1431.243.6.128/2531.243.6.129 to 31.243.6.25431.243.6.255126
1531.243.7.0/2531.243.7.1 to 31.243.7.12631.243.7.127126
1631.243.7.128/2531.243.7.129 to 31.243.7.25431.243.7.255126
1731.243.8.0/2531.243.8.1 to 31.243.8.12631.243.8.127126
1831.243.8.128/2531.243.8.129 to 31.243.8.25431.243.8.255126
1931.243.9.0/2531.243.9.1 to 31.243.9.12631.243.9.127126
2031.243.9.128/2531.243.9.129 to 31.243.9.25431.243.9.255126
2131.243.10.0/2531.243.10.1 to 31.243.10.12631.243.10.127126
2231.243.10.128/2531.243.10.129 to 31.243.10.25431.243.10.255126
2331.243.11.0/2531.243.11.1 to 31.243.11.12631.243.11.127126
2431.243.11.128/2531.243.11.129 to 31.243.11.25431.243.11.255126
2531.243.12.0/2531.243.12.1 to 31.243.12.12631.243.12.127126
2631.243.12.128/2531.243.12.129 to 31.243.12.25431.243.12.255126
2731.243.13.0/2531.243.13.1 to 31.243.13.12631.243.13.127126
2831.243.13.128/2531.243.13.129 to 31.243.13.25431.243.13.255126
2931.243.14.0/2531.243.14.1 to 31.243.14.12631.243.14.127126
3031.243.14.128/2531.243.14.129 to 31.243.14.25431.243.14.255126
3131.243.15.0/2531.243.15.1 to 31.243.15.12631.243.15.127126
3231.243.15.128/2531.243.15.129 to 31.243.15.25431.243.15.255126
3331.243.16.0/2531.243.16.1 to 31.243.16.12631.243.16.127126
3431.243.16.128/2531.243.16.129 to 31.243.16.25431.243.16.255126
3531.243.17.0/2531.243.17.1 to 31.243.17.12631.243.17.127126
3631.243.17.128/2531.243.17.129 to 31.243.17.25431.243.17.255126
3731.243.18.0/2531.243.18.1 to 31.243.18.12631.243.18.127126
3831.243.18.128/2531.243.18.129 to 31.243.18.25431.243.18.255126
3931.243.19.0/2531.243.19.1 to 31.243.19.12631.243.19.127126
4031.243.19.128/2531.243.19.129 to 31.243.19.25431.243.19.255126
4131.243.20.0/2531.243.20.1 to 31.243.20.12631.243.20.127126
4231.243.20.128/2531.243.20.129 to 31.243.20.25431.243.20.255126
4331.243.21.0/2531.243.21.1 to 31.243.21.12631.243.21.127126
4431.243.21.128/2531.243.21.129 to 31.243.21.25431.243.21.255126
4531.243.22.0/2531.243.22.1 to 31.243.22.12631.243.22.127126
4631.243.22.128/2531.243.22.129 to 31.243.22.25431.243.22.255126
4731.243.23.0/2531.243.23.1 to 31.243.23.12631.243.23.127126
4831.243.23.128/2531.243.23.129 to 31.243.23.25431.243.23.255126
4931.243.24.0/2531.243.24.1 to 31.243.24.12631.243.24.127126
5031.243.24.128/2531.243.24.129 to 31.243.24.25431.243.24.255126
5131.243.25.0/2531.243.25.1 to 31.243.25.12631.243.25.127126
5231.243.25.128/2531.243.25.129 to 31.243.25.25431.243.25.255126
5331.243.26.0/2531.243.26.1 to 31.243.26.12631.243.26.127126
5431.243.26.128/2531.243.26.129 to 31.243.26.25431.243.26.255126
5531.243.27.0/2531.243.27.1 to 31.243.27.12631.243.27.127126
5631.243.27.128/2531.243.27.129 to 31.243.27.25431.243.27.255126
5731.243.28.0/2531.243.28.1 to 31.243.28.12631.243.28.127126
5831.243.28.128/2531.243.28.129 to 31.243.28.25431.243.28.255126
5931.243.29.0/2531.243.29.1 to 31.243.29.12631.243.29.127126
6031.243.29.128/2531.243.29.129 to 31.243.29.25431.243.29.255126
6131.243.30.0/2531.243.30.1 to 31.243.30.12631.243.30.127126
6231.243.30.128/2531.243.30.129 to 31.243.30.25431.243.30.255126
6331.243.31.0/2531.243.31.1 to 31.243.31.12631.243.31.127126
6431.243.31.128/2531.243.31.129 to 31.243.31.25431.243.31.255126
6531.243.32.0/2531.243.32.1 to 31.243.32.12631.243.32.127126
6631.243.32.128/2531.243.32.129 to 31.243.32.25431.243.32.255126
6731.243.33.0/2531.243.33.1 to 31.243.33.12631.243.33.127126
6831.243.33.128/2531.243.33.129 to 31.243.33.25431.243.33.255126
6931.243.34.0/2531.243.34.1 to 31.243.34.12631.243.34.127126
7031.243.34.128/2531.243.34.129 to 31.243.34.25431.243.34.255126
7131.243.35.0/2531.243.35.1 to 31.243.35.12631.243.35.127126
7231.243.35.128/2531.243.35.129 to 31.243.35.25431.243.35.255126
7331.243.36.0/2531.243.36.1 to 31.243.36.12631.243.36.127126
7431.243.36.128/2531.243.36.129 to 31.243.36.25431.243.36.255126
7531.243.37.0/2531.243.37.1 to 31.243.37.12631.243.37.127126
7631.243.37.128/2531.243.37.129 to 31.243.37.25431.243.37.255126
7731.243.38.0/2531.243.38.1 to 31.243.38.12631.243.38.127126
7831.243.38.128/2531.243.38.129 to 31.243.38.25431.243.38.255126
7931.243.39.0/2531.243.39.1 to 31.243.39.12631.243.39.127126
8031.243.39.128/2531.243.39.129 to 31.243.39.25431.243.39.255126
8131.243.40.0/2531.243.40.1 to 31.243.40.12631.243.40.127126
8231.243.40.128/2531.243.40.129 to 31.243.40.25431.243.40.255126
8331.243.41.0/2531.243.41.1 to 31.243.41.12631.243.41.127126
8431.243.41.128/2531.243.41.129 to 31.243.41.25431.243.41.255126
8531.243.42.0/2531.243.42.1 to 31.243.42.12631.243.42.127126
8631.243.42.128/2531.243.42.129 to 31.243.42.25431.243.42.255126
8731.243.43.0/2531.243.43.1 to 31.243.43.12631.243.43.127126
8831.243.43.128/2531.243.43.129 to 31.243.43.25431.243.43.255126
8931.243.44.0/2531.243.44.1 to 31.243.44.12631.243.44.127126
9031.243.44.128/2531.243.44.129 to 31.243.44.25431.243.44.255126
9131.243.45.0/2531.243.45.1 to 31.243.45.12631.243.45.127126
9231.243.45.128/2531.243.45.129 to 31.243.45.25431.243.45.255126
9331.243.46.0/2531.243.46.1 to 31.243.46.12631.243.46.127126
9431.243.46.128/2531.243.46.129 to 31.243.46.25431.243.46.255126
9531.243.47.0/2531.243.47.1 to 31.243.47.12631.243.47.127126
9631.243.47.128/2531.243.47.129 to 31.243.47.25431.243.47.255126
9731.243.48.0/2531.243.48.1 to 31.243.48.12631.243.48.127126
9831.243.48.128/2531.243.48.129 to 31.243.48.25431.243.48.255126
9931.243.49.0/2531.243.49.1 to 31.243.49.12631.243.49.127126
10031.243.49.128/2531.243.49.129 to 31.243.49.25431.243.49.255126
10131.243.50.0/2531.243.50.1 to 31.243.50.12631.243.50.127126
10231.243.50.128/2531.243.50.129 to 31.243.50.25431.243.50.255126
10331.243.51.0/2531.243.51.1 to 31.243.51.12631.243.51.127126
10431.243.51.128/2531.243.51.129 to 31.243.51.25431.243.51.255126
10531.243.52.0/2531.243.52.1 to 31.243.52.12631.243.52.127126
10631.243.52.128/2531.243.52.129 to 31.243.52.25431.243.52.255126
10731.243.53.0/2531.243.53.1 to 31.243.53.12631.243.53.127126
10831.243.53.128/2531.243.53.129 to 31.243.53.25431.243.53.255126
10931.243.54.0/2531.243.54.1 to 31.243.54.12631.243.54.127126
11031.243.54.128/2531.243.54.129 to 31.243.54.25431.243.54.255126
11131.243.55.0/2531.243.55.1 to 31.243.55.12631.243.55.127126
11231.243.55.128/2531.243.55.129 to 31.243.55.25431.243.55.255126
11331.243.56.0/2531.243.56.1 to 31.243.56.12631.243.56.127126
11431.243.56.128/2531.243.56.129 to 31.243.56.25431.243.56.255126
11531.243.57.0/2531.243.57.1 to 31.243.57.12631.243.57.127126
11631.243.57.128/2531.243.57.129 to 31.243.57.25431.243.57.255126
11731.243.58.0/2531.243.58.1 to 31.243.58.12631.243.58.127126
11831.243.58.128/2531.243.58.129 to 31.243.58.25431.243.58.255126
11931.243.59.0/2531.243.59.1 to 31.243.59.12631.243.59.127126
12031.243.59.128/2531.243.59.129 to 31.243.59.25431.243.59.255126
12131.243.60.0/2531.243.60.1 to 31.243.60.12631.243.60.127126
12231.243.60.128/2531.243.60.129 to 31.243.60.25431.243.60.255126
12331.243.61.0/2531.243.61.1 to 31.243.61.12631.243.61.127126
12431.243.61.128/2531.243.61.129 to 31.243.61.25431.243.61.255126
12531.243.62.0/2531.243.62.1 to 31.243.62.12631.243.62.127126
12631.243.62.128/2531.243.62.129 to 31.243.62.25431.243.62.255126
12731.243.63.0/2531.243.63.1 to 31.243.63.12631.243.63.127126
12831.243.63.128/2531.243.63.129 to 31.243.63.25431.243.63.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses